# $Revision: 1.17 $, $Date: 2006/01/17 14:59:25 $
Summary:	LDAP directory user/group/access control manager
Summary(es):	Administrador de usuarios/grupos y control de acceso LDAP
Summary(pl):	Administrator uytkownikw/grup POSIX usug katalogowych LDAP
Summary(pt_BR):	Administrador de usurios/controle de acesso/grupos para LDAP
Name:		directory_administrator
Version:	1.6.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://diradmin.open-it.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	ab0631f5e91c0dfe48c1be240eb01437
Patch0:		%{name}-desktop.patch
URL:		http://diradmin.open-it.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	openldap-devel >= 2.3.0
Requires:	openldap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Directory administrator is a POSIX user/group manager for LDAP
directories. It can also manage access controls, departmental and
e-mail routing information.

%description -l es
Directory administrator es un administrador de usuarios/grupos POSIX
para servidores de directorio LDAP. Directory administrator permite
administrar tambin controles de acceso, informacin departamental y
rutas de correo electrnico para aquellos servidores de correo que lo
soporten.

%description -l pl
Directory Administrator jest zarzdc uytkownikw/grup POSIX usug
katalogowych LDAP. Umoliwia rwnie zarzdzanie prawami dostpu oraz
przekierowaniem poczty.

%prep
%setup -q -n diradmin-%{version}
%patch0 -p1

%build
rm -f missing
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}/directory_administrator}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install pixmaps/*.{xpm,png} $RPM_BUILD_ROOT%{_pixmapsdir}/directory_administrator

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS CREDITS NEWS
%attr(755,root,root) %{_bindir}/directory_administrator
%{_desktopdir}/*.desktop
%{_pixmapsdir}/directory_administrator

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: directory_administrator.spec,v $
Revision 1.17  2006/01/17 14:59:25  baggins
- release 2
- BR openldap 2.3

Revision 1.16  2005/06/02 00:31:58  undefine
- up to 1.6.0, patch to fix desktopfile

Revision 1.15  2004/02/03 06:50:35  misi3k
- updated to 1.5.1

Revision 1.14  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:46:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/18 06:12:31  kloczek
- install only xpm and png files in %%{_pixmapsdir}.

Revision 1.10  2003/05/18 05:22:05  misi3k
- updated to 1.4

Revision 1.9  2003/02/13 21:41:41  kloczek
- modify %install - now desktop patch isn't neccessary,
- removed redundant BuildRequires and more cleanups.

Revision 1.8  2003/02/13 21:19:23  kloczek
- cleanups.

Revision 1.7  2003/01/26 17:18:30  qwark
 - update to 1.3.4 - prepared for Ra - make right tag please; It's probably working with Ac after removing patch, and defining prefix

Revision 1.6  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.5  2002/10/09 08:53:14  qboosh
- added missing dir; BR: libtool

Revision 1.4  2002/09/13 11:30:32  speedy
- updated to 1.1.9

Revision 1.3  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.2  2002/06/10 08:35:38  qboosh
- fixes in summaries/descriptions

Revision 1.1  2002/06/07 20:54:21  qwark
initial release - probably work, but needs some rewiev, specialy BR
